/*
 * @(#)CDWverify.cpp
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 1999-2005 Jrg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details
 *
 * Jrg P. M. Haeger, 17.11.2002
 */

#include <signal.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

/**
 * A simple CDWverify simulation
 *
 * @version 20050523
 * @author Jrg P. M. Haeger
 */
class Verify {
public:
	static bool cancel;
};

bool Verify::cancel = false;

void sigTermHandler(int sig) {
	Verify::cancel = true;
	printf("\nCancelled\n");
	fflush(stdout);
}

int main(int argc, char *args[]) {
	printf("CDWverify-dummy 20050523 (part of webCDwriter)\n");
	fflush(stdout);

	signal(SIGTERM, sigTermHandler);

	if (argc >= 2 && strstr(args[1], "-readISOHeader") != NULL)
		return 0;

	int files = 0;
	for (int i = 1; i <= 50 && !Verify::cancel; i++) {
		if (i % 10 == 0)
			files++;
		printf("\r%d MB, %d files, %d errors, %4.1fx (%4.0f KB/s)",
			i, files, 0, 6.0, 900.0);
		fflush(stdout);
		sleep(1);
	}

	printf("\n%d files are identical, 0 files differ\n", files);

	return 0;
}
